com.tibbo.aggregate.common.protocol

## Class AggreGateCodes

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AggreGateCodes

-     public class AggreGateCodes
      extends java.lang.Object

  Defines AggreGate protocol message codes. There are two code string syntax variations: (A) Global single-character codes; (B) Detailed codes in the form DOMAIN[.SUBDOMAIN[.SUBDOMAIN[...]]]-NUMBER where top-level domain is AG, e.g. AG-10000

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `REPLY_CODE_DENIED`
    `static java.lang.String` | `REPLY_CODE_ERROR`
    `static java.lang.String` | `REPLY_CODE_LOCKED`
    `static java.lang.String` | `REPLY_CODE_MAINTENANCE`
    `static java.lang.String` | `REPLY_CODE_OK`
    `static java.lang.String` | `REPLY_CODE_PASSWORD_EXPIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateCodes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPLY_CODE_OK

          public static final java.lang.String REPLY_CODE_OK

      See Also:
        Constant Field Values

    - #### REPLY_CODE_DENIED

          public static final java.lang.String REPLY_CODE_DENIED

      See Also:
        Constant Field Values

    - #### REPLY_CODE_ERROR

          public static final java.lang.String REPLY_CODE_ERROR

      See Also:
        Constant Field Values

    - #### REPLY_CODE_LOCKED

          public static final java.lang.String REPLY_CODE_LOCKED

      See Also:
        Constant Field Values

    - #### REPLY_CODE_MAINTENANCE

          public static final java.lang.String REPLY_CODE_MAINTENANCE

      See Also:
        Constant Field Values

    - #### REPLY_CODE_PASSWORD_EXPIRED

          public static final java.lang.String REPLY_CODE_PASSWORD_EXPIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AggreGateCodes

          public AggreGateCodes()